{ lib, pkgs, config, ... }: {

  imports = [ ./config.nix ./script.nix ./xressources.nix ];

  config = lib.mkIf (config.usercfg.wm == "X11") {
    xsession.windowManager.bspwm = { enable = true; };
    services.sxhkd = { enable = true; };
    home.packages = with pkgs; [ xrandr arandr hyprshot xtrlock i3lock ];

  };
}
